package edu.georgetown.gucs.configurations;

import java.util.List;

/**
 * @author Evan
 * @since 3/18/15
 */

public class FingerprintConfiguration extends Config {

    /**
     * the name of this fingerprinter
     */
    public String fingerprintName;
    /**
     * the globally unique identifier for this fingerprinter
     */
    public String GUID;
    /**
     * the fully qualified domain name for the local host IP address
     */
    public String systemID;
    /**
     * the name of the program that created the fingerprint
     */
    public String creatingProgram;
    /**
     * the person or organization that created this fingerprint
     */
    public String creator = "";
    /**
     * the filename of the document this fingerprint is for
     */
    public String targetFile;
    /**
     * the version number of this fingerprint
     */
    public int version = 1;
    /**
     * the disk image identifier where the fingerprinted document is stored
     */
    public String diskImage;
    /**
     * the volume where the fingerprinted document is stored
     */
    public String volume;
    /**
     * the byte run for the fingerprinted document
     */
    public String byteRun;
    /**
     * the list of unknown tokens contained in this fingerprint
     */
    public List<String> unknownTokens;
    /**
     * whether to store digest information in the output for the fingerprint
     */
    public boolean showDigest;
    /**
     * whether to store data source information in the output for the fingerprint
     */
    public boolean showDataSource;
    /**
     * whether to store the full dictionary used for the fingerprint in the output
     */
    public boolean showDictionary;
    /**
     * whether or not the bloomFilterExists
     */
    public boolean showBloomFilter;

    /**
     * the name of the current mangler, if any *
     */
    public String manglerName;


    public FingerprintConfiguration(String fileName) {
        super(fileName);

        //  super(fileName);
        fingerprintName = "josh";


    }

    public void setConfigurations(){


        System.out.println(config.getString("fingerprinter"));

       fingerprintName = config.getString("fingerprinter");

    }

}