package edu.georgetown.gucs.dictionary;

import edu.georgetown.gucs.utility.ExceptionHandler;
import edu.georgetown.gucs.utility.Global;
import edu.georgetown.gucs.utility.SdTextException;

/**
 * Prints all the tokens and their frequencies, IDFs, and normalized IDFs for a {@linkplain Dictionary}
 *
 * @author Clay Shields
 */
public class ShowDictionaryTokens {

    /**
     * Prints each token and its information in the specified dictionary
     *
     * @param dictionary_file
     *          the string filename containing the serialized dictionary
     */
    public static void print(String dictionary_file) throws SdTextException {
       try{
        Dictionary dictionary = new Dictionary(dictionary_file);
        dictionary.showTokens();
    }catch (SdTextException sdtextE) {
           throw sdtextE;
       } catch (Exception e) {
           ExceptionHandler.handleException(e);
       }
    }


}
